package com.xingxi.business.Banner.mapper;

import com.xingxi.business.Banner.domain.Banner;

import java.util.List;

/**
 * bannerMapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface BannerMapper {
    /**
     * 查询banner
     *
     * @param bannerId banner主键
     * @return banner
     */
    Banner selectBannerByBannerId(Long bannerId);

    /**
     * 查询banner列表
     *
     * @param banner banner
     * @return banner集合
     */
    List<Banner> selectBannerList(Banner banner);

    /**
     * 新增banner
     *
     * @param banner banner
     * @return 结果
     */
    int insertBanner(Banner banner);

    /**
     * 批量新增banner
     *
     * @param bannerList banner
     * @return 结果
     */
    int batchInsertBanner(List<Banner> bannerList);

    /**
     * 修改banner
     *
     * @param banner banner
     * @return 结果
     */
    int updateBanner(Banner banner);

    /**
     * 删除banner
     *
     * @param bannerId banner主键
     * @return 结果
     */
    int deleteBannerByBannerId(Long bannerId);

    /**
     * 批量删除banner
     *
     * @param bannerIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBannerByBannerIds(String[] bannerIds);


    /**
     * 逻辑删除banner
     *
     * @param bannerId banner主键
     * @return 结果
     */
    int logicDeleteBannerByBannerId(Long bannerId);

    /**
     * 逻辑批量删除banner
     *
     * @param bannerIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteBannerByBannerIds(String[] bannerIds);

    /**
     * 逻辑批量删除banner
     *
     * @param banner banner
     * @return 结果
     */
    int logicDeleteBannerByCondition(Banner banner);

}
